org.keycloak.proxy

## Class ProxyServerBuilder.ApplicationBuilder

- java.lang.Object
- - org.keycloak.proxy.ProxyServerBuilder.ApplicationBuilder

- Enclosing class:
    ProxyServerBuilder

      public class ProxyServerBuilder.ApplicationBuilder
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `base`
    `protected SecurityPathMatches.Builder` | `constraintBuilder`
    `protected KeycloakDeployment` | `deployment`
    `protected AdapterDeploymentContext` | `deploymentContext`
    `protected String` | `errorPage`
    `protected SecurityPathMatches` | `matches`
    `protected NodesRegistrationManagement` | `nodesRegistrationManagement`
    `protected UndertowUserSessionManagement` | `userSessionManagement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyServerBuilder.ApplicationBuilder(AdapterConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProxyServerBuilder` | `add()`
    `ProxyServerBuilder.ApplicationBuilder` | `base(String base)`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `constraint(String pattern)`
    `ProxyServerBuilder.ApplicationBuilder` | `errorPage(String errorPage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodesRegistrationManagement

          protected NodesRegistrationManagement nodesRegistrationManagement

    - #### userSessionManagement

          protected UndertowUserSessionManagement userSessionManagement

    - #### deploymentContext

          protected AdapterDeploymentContext deploymentContext

    - #### deployment

          protected KeycloakDeployment deployment

    - #### base

          protected String base

    - #### constraintBuilder

          protected SecurityPathMatches.Builder constraintBuilder

    - #### matches

          protected SecurityPathMatches matches

    - #### errorPage

          protected String errorPage

  - ### Constructor Detail

    - #### ProxyServerBuilder.ApplicationBuilder

          public ProxyServerBuilder.ApplicationBuilder(AdapterConfig config)

  - ### Method Detail

    - #### base

          public ProxyServerBuilder.ApplicationBuilder base(String base)

    - #### errorPage

          public ProxyServerBuilder.ApplicationBuilder errorPage(String errorPage)

    - #### add

          public ProxyServerBuilder add()

    - #### constraint

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder constraint(String pattern)

Copyright © 2015. All rights reserved.